package shop.alien.util.analysis;

import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;

import java.io.IOException;

/**
 * Url工具类
 */
@Slf4j
public class UrlUtil {

    /**
     * 获取重定向地址
     *
     * @param userAgent User-Agent
     * @param url       地址
     * @return 重定向地址
     */
    public static String getRealUrl(String userAgent, String url) {
        try {
            return Jsoup.connect(url)
                    .userAgent(userAgent)
                    .followRedirects(true)
                    .execute()
                    .url().toString();
        } catch (IOException e) {
            log.error(e.getMessage());
            return "";
        }
    }
}
